Plesk\backup\Agent\Schema\Backup\Database\DatabaseAType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        type:
            expose: true
            access_type: public_method
            serialized_name: type
            accessor:
                getter: getType
                setter: setType
            xml_attribute: true
            type: string
        guid:
            expose: true
            access_type: public_method
            serialized_name: guid
            accessor:
                getter: getGuid
                setter: setGuid
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        customHost:
            expose: true
            access_type: public_method
            serialized_name: custom-host
            accessor:
                getter: getCustomHost
                setter: setCustomHost
            xml_attribute: true
            type: string
        ownerGuid:
            expose: true
            access_type: public_method
            serialized_name: owner-guid
            accessor:
                getter: getOwnerGuid
                setter: setOwnerGuid
            xml_attribute: true
            type: string
        version:
            expose: true
            access_type: public_method
            serialized_name: version
            accessor:
                getter: getVersion
                setter: setVersion
            xml_attribute: true
            type: string
        charset:
            expose: true
            access_type: public_method
            serialized_name: charset
            accessor:
                getter: getCharset
                setter: setCharset
            xml_attribute: true
            type: string
        sappParam:
            expose: true
            access_type: public_method
            serialized_name: sapp-param
            accessor:
                getter: getSappParam
                setter: setSappParam
            xml_attribute: true
            type: string
        id:
            expose: true
            access_type: public_method
            serialized_name: id
            accessor:
                getter: getId
                setter: setId
            xml_attribute: true
            type: string
        apsRegistryId:
            expose: true
            access_type: public_method
            serialized_name: aps-registry-id
            accessor:
                getter: getApsRegistryId
                setter: setApsRegistryId
            xml_attribute: true
            type: string
        dbExistent:
            expose: true
            access_type: public_method
            serialized_name: db-existent
            accessor:
                getter: getDbExistent
                setter: setDbExistent
            xml_attribute: true
            type: string
        prefix:
            expose: true
            access_type: public_method
            serialized_name: prefix
            accessor:
                getter: getPrefix
                setter: setPrefix
            xml_attribute: true
            type: string
        collation:
            expose: true
            access_type: public_method
            serialized_name: collation
            accessor:
                getter: getCollation
                setter: setCollation
            xml_attribute: true
            type: string
        content:
            expose: true
            access_type: public_method
            serialized_name: content
            xml_element:
                cdata: false
            accessor:
                getter: getContent
                setter: setContent
            type: Plesk\backup\Agent\Schema\Backup\Content
        dbServer:
            expose: true
            access_type: public_method
            serialized_name: db-server
            xml_element:
                cdata: false
            accessor:
                getter: getDbServer
                setter: setDbServer
            type: Plesk\backup\Agent\Schema\Backup\DbServer
        dbuser:
            expose: true
            access_type: public_method
            serialized_name: dbuser
            xml_element:
                cdata: false
            accessor:
                getter: getDbuser
                setter: setDbuser
            xml_list:
                inline: true
                entry_name: dbuser
            type: array<Plesk\backup\Agent\Schema\Backup\Dbuser>
        relatedSites:
            expose: true
            access_type: public_method
            serialized_name: related-sites
            xml_element:
                cdata: false
            accessor:
                getter: getRelatedSites
                setter: setRelatedSites
            type: array<Plesk\backup\Agent\Schema\Backup\RelatedSites\RelatedSitesAType\RelatedSiteAType>
            xml_list:
                inline: false
                entry_name: related-site
                skip_when_empty: true
